Bug 16551 - Display the name of lists to the search results at the OPAC
Summary: Display the name of lists to the search results at the OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29621 19343
  Show dependency treegraph
 
Reported: 2016-05-19 08:12 UTC by Jonathan Druart
Modified: 2021-12-04 07:31 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16551: Display the name of lists to the search results at the OPAC (10.30 KB, patch)
2016-05-19 08:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16551: Display the name of lists to the search results at the OPAC (10.40 KB, patch)
2016-05-19 12:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16551: Display the name of lists to the search results at the OPAC (10.42 KB, patch)
2016-06-01 10:01 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
[PASSED QA] Bug 16551: Display the name of lists to the search results at the OPAC (10.47 KB, patch)
2016-09-18 22:14 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16551: Follow-up - Regenerated opac.css file (80.81 KB, patch)
2016-09-18 22:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-05-19 08:12:38 UTC
This new enhancement will allow to add the name of lists containing a biblio to the search results at the OPAC
Comment 1 Jonathan Druart 2016-05-19 08:35:35 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-05-19 12:02:21 UTC Comment hidden (obsolete)
Comment 3 PTFS Europe Sandboxes 2016-06-01 10:01:14 UTC
Patch tested with a sandbox, by Jonathan Field <jonathan.field@ptfs-europe.com>
Comment 4 PTFS Europe Sandboxes 2016-06-01 10:01:34 UTC
Created attachment 51942 [details] [review]
Bug 16551: Display the name of lists to the search results at the OPAC

This new enhancement will allow to add the name of lists containing a
biblio to the search results at the OPAC.

Test plan:
0/ Regenerate the css file to get the style change:
 % lessc --clean-css="--s0 --advanced --compatibility=ie7"
   koha-tmpl/opac-tmpl/bootstrap/less/opac.less >
   koha-tmpl/opac-tmpl/bootstrap/css/opac.css
1/ Create some lists and add items to them
2/ On the search results you should see the name of the lists which
contains the record.

Note that we could add a syspref to make this new behavior optional.

Sponsored-by: University of the Arts London
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Field <jonathan.field@ptfs-europe.com>
Comment 5 Katrin Fischer 2016-09-18 22:14:18 UTC
Created attachment 55669 [details] [review]
[PASSED QA] Bug 16551: Display the name of lists to the search results at the OPAC

This new enhancement will allow to add the name of lists containing a
biblio to the search results at the OPAC.

Test plan:
0/ Regenerate the css file to get the style change:
 % lessc --clean-css="--s0 --advanced --compatibility=ie7"
   koha-tmpl/opac-tmpl/bootstrap/less/opac.less >
   koha-tmpl/opac-tmpl/bootstrap/css/opac.css
1/ Create some lists and add items to them
2/ On the search results you should see the name of the lists which
contains the record.

Note that we could add a syspref to make this new behavior optional.

Sponsored-by: University of the Arts London
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Field <jonathan.field@ptfs-europe.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 6 Katrin Fischer 2016-09-18 22:14:59 UTC
Created attachment 55670 [details] [review]
Bug 16551: Follow-up - Regenerated opac.css file
Comment 7 Kyle M Hall 2016-09-27 13:06:45 UTC
Pushed to master for 16.11, thanks Jonathan!